package com.drht.datamanage.cache;

import com.drht.datamanage.protocols.*;
import com.drht.datamanage.service.Reply;
import com.drht.datamanage.service.Send;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service
public class CommandInitCache {

    private static Map<String, Reply> replyCache=new HashMap<>();

    private static Map<String, Send> sendCache=new HashMap<>();



    private static Cn2601 cn2601;
    private static Cn9015 cn9015;
    private static Cn0001 cn0001;
    private static Cn2051 cn2051;
    private static Cn2011 cn2011;

    public static Cn9015 getCn9015() {
        return cn9015;
    }

    @Autowired
    public  void setCn9900(Cn9015 cn9015) {
        CommandInitCache.cn9015 = cn9015;
    }

    public Cn2601 getCn2601() {
        return cn2601;
    }
    @Autowired
    public  void setCn2601(Cn2601 cn2601) {
        CommandInitCache.cn2601 = cn2601;
    }

    public Cn2011 getCn2011() {
        return cn2011;
    }
    @Autowired
    public  void setCn2011(Cn2011 cn2011) {
        CommandInitCache.cn2011 = cn2011;
    }

    public Cn2051 getCn2051() {
        return cn2051;
    }

    @Autowired
    public void setCn2051(Cn2051 cn2051) {
        CommandInitCache.cn2051 = cn2051;
    }

    public static Cn0001 getCn0001() {
        return cn0001;
    }
    @Autowired
    public  void setCn0001(Cn0001 cn0001) {
        CommandInitCache.cn0001 = cn0001;
    }

    private CommandInitCache() {

    }

    public static  Map<String, Reply> getReplyCache() {
        if (replyCache.size()==0){
            replyCache=new HashMap<>();
            sendCache=new HashMap<>();
            replyCache.put("2601", cn2601);
            replyCache.put("2051", cn2051);
            replyCache.put("9015", cn9015);
            replyCache.put("0001", cn0001);
            replyCache.put("2011", cn2011);
        }
        return replyCache;
    }
    public static  Map<String, Send> getSendCache() {
        if (sendCache.size()==0){
        }
        return sendCache;
    }
}