package com.drht.datamanage.listener;

import com.drht.datamanage.App;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;
@Component
@Slf4j
public class NettyServerListener implements ApplicationRunner {
    /**
     * 当一个applicationContext被初始化或被刷新时触发
     */
    @Override
    public void run(ApplicationArguments args) throws Exception {
        log.info("启动netty组件");
        new Thread(new Runnable() {
            @SneakyThrows
            @Override
            public void run() {
                App.run();
            }
        }).start();
    }
}
