package com.drht.datamanage.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_realtime_data")
@ApiModel(value="实时数据", description="实时数据")
public class RealTimeData extends Model<RealTimeData> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private int id;

    @TableField("f_time")
    private String f_time;

    @TableField("f_cod")
    private String f_cod;//w01018

    @TableField("f_nitrate")
    private String f_nitrate;//w21007

    @TableField("f_tss")
    private String f_tss;//w01012

    @TableField("f_toc")
    private String f_toc;//w01020


    @TableField("f_permanganate_index")
    private String f_permanganate_index;//w01019

    @TableField("f_turbidity")
    private String f_turbidity;//w01003

    @TableField("f_raw_data")
    private String f_raw_data;
}
