package com.drht.datamanage.protocols;

import com.drht.datamanage.model.msg.SendMsg;
import com.drht.datamanage.service.Reply;
import com.drht.datamanage.util.AnalysisUtil;
import io.netty.channel.ChannelFuture;
import io.netty.channel.ChannelHandlerContext;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.text.ParseException;
import java.util.*;

/**
 * 心跳
 */
@Service
@Slf4j
public class Cn9015 implements Reply {
    @Override
    public void rese(AnalysisUtil.Msg msg, ChannelHandlerContext ctx) throws ParseException {
        SendMsg sendMsg=new SendMsg();
        sendMsg.setQN(msg.getQN());
        sendMsg.setCN("9014");
        sendMsg.setPW(msg.getPW());//暂时写死
        sendMsg.setMN(msg.getMN());
        sendMsg.setFlag("0");
        sendMsg.setST("91");
        List<Map<String,Object>> CP=new ArrayList<>();
        Map cpMap=new HashMap();
        cpMap.put("QnRtn","1");
        CP.add(cpMap);
        sendMsg.setCP(CP);
        //编码报文
        String s = AnalysisUtil.KvToMsg(sendMsg,";");
        //回复消息
        ChannelFuture channelFuture = ctx.writeAndFlush(s);
        log.info("回复消息成功={}",s);
    }
}
