package com.drht.datamanage.service.Impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.drhb.base.result.BaseResult;
import com.drhb.base.result.BaseResultGenerator;
import com.drht.datamanage.dao.MinuteDataDao;
import com.drht.datamanage.model.MinuteData;
import com.drht.datamanage.service.MinuteDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class MinuteDataServiceImpl extends ServiceImpl<MinuteDataDao, MinuteData> implements MinuteDataService {


    @Override
    public BaseResult insert(MinuteData deviceTypeVO) {
        save(deviceTypeVO);
        return BaseResultGenerator.genSuccessResult();
    }
}
