package com.drht.datamanage.test;

import com.drht.datamanage.util.AnalysisUtil;
import com.drht.datamanage.model.msg.SendMsg;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;

import java.io.*;
import java.net.Socket;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.*;

@Slf4j
public class Test {
    public static void main(String[] args) throws IOException, InterruptedException {
//        Socket socket=new Socket("27.185.43.173",7007);
        Socket socket=new Socket("127.0.0.1",7001);
        OutputStream outputStream = socket.getOutputStream();
        BufferedWriter bufferedWriter=new BufferedWriter(new OutputStreamWriter(outputStream));
//    String a ="##0094QN=20000101000000000;ST=21;CN=0001;PW=123456;MN=60288888000103;Flag=1;CP=&&model=DR-103K;FN=&&47C0\r\n";
//        String a="##0077QN=20000101000000000;ST=21;CN=9900;PW=123456;MN=60288888000103;Flag=1;CP=&&&&9B81\r\n";
//        String a="##1234QN=20180210154956000;ST=21;CN=2701;PW=123456;" +
//                "MN=60288888000014;Flag=0;CP=&&DataTime=20230925002155;" +
//                "w01019-Rtd=8.1,w01019-Flag=N;w01018-Rtd=8.1," +
//                "w01018-ADC=65535;w01020-Rtd=100.2;Version=2022030401&&53C0\r\n";
        List<String> strList = new ArrayList<>();
        BufferedReader reader;
        try {
            reader = new BufferedReader(new FileReader("d:\\667.txt"));
            String line = reader.readLine();
            while (line != null) {
                strList.add(line);
                line = reader.readLine();// 继续读取下一行
            }
            reader.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.out.println("文件不存在");
        }
        System.out.println(strList);
        String a="##1234QN=20180210154956000;ST=21;CN=2011;PW=123456;MN=60288888000103;" +
                "Flag=0;CP=&&DataTime=20231129111455;" +
                "w21007-Rtd=7.1;" +
                "w01012-Rtd=7.5;" +
                "w01018-Rtd=7.9;" +
                "w01020-Rtd=9.22;" +
                "w01019-Rtd=7.1;" +
                "w01003-Rtd=7.5;" +
                "f_raw_data="+ StringUtils.join(strList,"") +"&&1234\r\n";
//        String a="##1234QN=20180210154956000;ST=21;CN=2601;PW=123456;MN=60288888000103;" +
//                "Flag=0;CP=&&DataTime=20231129111455;" +
//                "w21007-Min=7.1,w01012-Avg=7.5,w21007-Max=7.1;" +
//                "w01012-Min=7.1,w01012-Avg=7.5,w01012-Max=7.1;" +
//                "w01018-Min=7.1,w01018-Avg=7.5,w01018-Max=7.1;" +
//                "w01020-Min=7.1,w01020-Avg=7.5,w01020-Max=7.1;" +
//                "w01019-Min=7.1,w01019-Avg=7.5,w01019-Max=7.1;" +
//                "w01003-Min=7.1,w01003-Avg=7.5,w01003-Max=7.1" +
//                "&&1234\r\n";
//        String a="##1234QN=20180210154956000;ST=21;CN=2051;PW=123456;MN=60288888000103;" +
//                "Flag=0;CP=&&DataTime=20231129111455;" +
//                "w21007-Min=7.1,w01012-Avg=7.5,w21007-Max=7.1;" +
//                "w01012-Min=7.1,w01012-Avg=7.5,w01012-Max=7.1;" +
//                "w01018-Min=7.1,w01018-Avg=7.5,w01018-Max=7.1;" +
//                "w01020-Min=7.1,w01020-Avg=7.5,w01020-Max=7.1;" +
//                "w01019-Min=7.1,w01019-Avg=7.5,w01019-Max=7.1;" +
//                "w01003-Min=7.1,w01003-Avg=7.5,w01003-Max=7.1" +
//                "&&1234\r\n";
//        String a="##FL=0090;QN=201450800121333000;CN=1001;PW=123456;MN=10488888812345;CP=&&Status=1111&&7EC0\r\n";
//        String b="##FL=0072;QN=20200817165008655;CN=1003;PW=123456;MN=test2020081601;CP=&&ExeRtn=0&&3480\r\n";
        BufferedReader bufferedReader=new BufferedReader(new InputStreamReader(socket.getInputStream()));
        bufferedWriter.write(a);
        bufferedWriter.flush();
        System.out.println();
        String msg="";
        while ((msg=bufferedReader.readLine())!=null){
            log.info("服务器回复->{}",msg);
//            if (msg!=null){
////                String substring = msg.substring(msg.indexOf("DealCode=")+9, msg.indexOf("DealCode=") + 29);
////                bufferedWriter.write(b);
////                bufferedWriter.flush();
////                System.out.println("2->"+b);
//                Thread.sleep(3000);
////                String sss = sss(substring);
////                System.out.println("substring"+substring);
////                System.out.println("3->"+sss);
////                bufferedWriter.write(sss);
////                bufferedWriter.flush();
////                Thread.sleep(5000);
//                bufferedWriter.write(a);
//                bufferedWriter.flush();
//
//            }

        }
    }
    public static String  sss(String args) {
        SendMsg sendMsg=new SendMsg();
        sendMsg.setCN("1004");
        sendMsg.setPW("123456");//暂时写死
        sendMsg.setMN("12345678");
        List<Map<String,Object>> CP=new ArrayList<>();
        Map<String,Object> methodparams=new HashMap<>();
        methodparams.put("WaterL","0000");
        methodparams.put("DealCode",args);
        CP.add(methodparams);
        sendMsg.setCP(CP);
        //编码报文
        //        String a="##FL=0090;QN=201450800121333000;CN=1001;PW=123456;MN=10488888812345;CP=&&Status=1111&&7EC0\r\n";

        String s = AnalysisUtil.KvToMsg(sendMsg,";");//第二参数规定报文编码时cp段以什么分隔
        System.out.println(s);
        return  s;
    }
}
