package com.drht.datamanage.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_minute_data")
@ApiModel(value="分钟数据", description="分钟数据")
public class MinuteData extends Model<MinuteData> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private int id;

    @TableField("f_time")
    private String f_time;

    @TableField("f_cod_min")
    private String f_cod_min; //w01018-Min

    @TableField("f_cod_avg")
    private String f_cod_avg;//w01018-Avg

    @TableField("f_cod_max")
    private String f_cod_max;//w01018-Max

    @TableField("f_nitrate_min")
    private String f_nitrate_min;//w01018-Min


    @TableField("f_nitrate_avg")
    private String f_nitrate_avg;//w01018-Avg


    @TableField("f_nitrate_max")
    private String f_nitrate_max;//w01018-Max

    @TableField("f_tss_min")
    private String f_tss_min;//w01018-Min

    @TableField("f_tss_avg")
    private String f_tss_avg;//w01018-Avg

    @TableField("f_tss_max")
    private String f_tss_max;//w01018-Max

    @TableField("f_toc_min")
    private String f_toc_min;//w01018-Min


    @TableField("f_toc_avg")
    private String f_toc_avg;//w01018-Avg

    @TableField("f_toc_max")
    private String f_toc_max;//w01018-Max

    @TableField("f_permanganate_index_min")
    private String f_permanganate_index_min;//w01018-Min

    @TableField("f_permanganate_index_avg")
    private String f_permanganate_index_avg;//w01018-Avg

    @TableField("f_permanganate_index_max")
    private String f_permanganate_index_max;//w01018-Max

    @TableField("f_turbidity_min")
    private String f_turbidity_min;//w01018-Min

    @TableField("f_turbidity_avg")
    private String f_turbidity_avg;//w01018-Avg

    @TableField("f_turbidity_max")
    private String f_turbidity_max;//w01018-Max
}
