package com.drht.datamanage.util;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;

/**
 * @description:
 * @author: xuxianwei
 * @time: 2022/7/15 13:59
 */
public class LinuxCommandUtil {

    private static Logger logger = LoggerFactory.getLogger(LinuxCommandUtil.class);

    public static List<String> executeLinuxCmd(String cmd) {
        Runtime run = Runtime.getRuntime();
        try {
            Process process = run.exec(new String[]{"/bin/sh", "-c", cmd});
            InputStream in = process.getInputStream();
            BufferedReader bs = new BufferedReader(new InputStreamReader(in));
            List<String> list = new ArrayList<String>();
            String result = null;
            while ((result = bs.readLine()) != null) {
                //logger.debug(".................执行命令："+result);
                list.add(result);
            }
            in.close();
            // process.waitFor();
            process.destroy();
            return list;
        } catch (IOException e) {
            logger.error("执行命令出错", e);
            e.printStackTrace();
        }
        return null;
    }
}
